<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace  Kufer\KuferTools\Mitarbeiter\MaFeedbackauswertungenUebersicht;

class ControllerFactory
{
  public function getController($pAction)
  {
    switch ($pAction) {
      default:
      
      case 'MaTNfeedbackauswertungenUebersicht':
        return new TNMaFeedbackauswertung\MaTNFeedbackauswertungenUebersichtController();
      case 'MaTNFeedbackauswertungenUebersichtSetFilter':
        return new TNMaFeedbackauswertung\TNMaFeedbackFilter\MaTNFeedbackauswertungenUebersichtSetFilterController();
      case 'MaTNFeedbackauswertungenUebersichtResetFilter':
        return new TNMaFeedbackauswertung\TNMaFeedbackFilter\MaTNFeedbackauswertungenUebersichtResetFilterController();
      
      case 'MaDozFeedbackauswertungenUebersicht':
        return new DozMaFeedbackauswertung\MaDozFeedbackauswertungenUebersichtController();
      case 'MaDozFeedbackauswertungenUebersichtSetFilter':
        return new DozMaFeedbackFilter\MaDozFeedbackauswertungenUebersichtSetFilterController();
      case 'MaDozfeedbackauswertungenUebersichtResetFilter':
        return new DozMaFeedbackFilter\MaDozFeedbackauswertungenUebersichtResetFilterController();
      
      case 'MaShowFilterFeedbackauswertungenUebersicht':
        return new MaFeedbackFilter\MaShowFilterFeedbackauswertungenUebersichtController();
    }
  }
}